package com.dgtly.system.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 */

public class MetaHanaDeliverOrder {

    private static final long serialVersionUID = 1L;

    private String code;
    private String deliverNumber;


    private String deliverItem;


    private String docNumber;


    private String docItem;


    private String salesOrg;


    private String salesOrgName;


    private String distributionChannel;


    private String customerCode;


    private String customerName;


    private String division;


    private String salesGroup;


    private String plant;


    private String plantName;


    private String docType;


    private String deliverType;


    private String materialCode;


    private String materialName;


    private String sizeDim;


    private String shipmentNumber;


    private String shipmentCreateDate;


    private String shipToAddress;

    private String createDateDoc;


    private String createDateDocItem;


    private String createDateDeliver;


    private String actualDeliverDate;


    private String planDeliverDate;


    private String requestDeliverDate;


    private String requestDeliverDateItem;


    private String reviewStatus;


    private BigDecimal orderQty;


    private BigDecimal orderWt;


    private BigDecimal deliverQty;


    private BigDecimal deliverWt;


    private BigDecimal netValue;


    private String postingDate;


    private String expressInfo;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDeliverNumber() {
        return deliverNumber;
    }

    public void setDeliverNumber(String deliverNumber) {
        this.deliverNumber = deliverNumber;
    }

    public String getDeliverItem() {
        return deliverItem;
    }

    public void setDeliverItem(String deliverItem) {
        this.deliverItem = deliverItem;
    }

    public String getDocNumber() {
        return docNumber;
    }

    public void setDocNumber(String docNumber) {
        this.docNumber = docNumber;
    }

    public String getDocItem() {
        return docItem;
    }

    public void setDocItem(String docItem) {
        this.docItem = docItem;
    }

    public String getSalesOrg() {
        return salesOrg;
    }

    public void setSalesOrg(String salesOrg) {
        this.salesOrg = salesOrg;
    }

    public String getSalesOrgName() {
        return salesOrgName;
    }

    public void setSalesOrgName(String salesOrgName) {
        this.salesOrgName = salesOrgName;
    }

    public String getDistributionChannel() {
        return distributionChannel;
    }

    public void setDistributionChannel(String distributionChannel) {
        this.distributionChannel = distributionChannel;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getDivision() {
        return division;
    }

    public void setDivision(String division) {
        this.division = division;
    }

    public String getSalesGroup() {
        return salesGroup;
    }

    public void setSalesGroup(String salesGroup) {
        this.salesGroup = salesGroup;
    }

    public String getPlant() {
        return plant;
    }

    public void setPlant(String plant) {
        this.plant = plant;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public String getDeliverType() {
        return deliverType;
    }

    public void setDeliverType(String deliverType) {
        this.deliverType = deliverType;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getSizeDim() {
        return sizeDim;
    }

    public void setSizeDim(String sizeDim) {
        this.sizeDim = sizeDim;
    }

    public String getShipmentNumber() {
        return shipmentNumber;
    }

    public void setShipmentNumber(String shipmentNumber) {
        this.shipmentNumber = shipmentNumber;
    }

    public String getShipmentCreateDate() {
        return shipmentCreateDate;
    }

    public void setShipmentCreateDate(String shipmentCreateDate) {
        this.shipmentCreateDate = shipmentCreateDate;
    }

    public String getShipToAddress() {
        return shipToAddress;
    }

    public void setShipToAddress(String shipToAddress) {
        this.shipToAddress = shipToAddress;
    }

    public String getCreateDateDoc() {
        return createDateDoc;
    }

    public void setCreateDateDoc(String createDateDoc) {
        this.createDateDoc = createDateDoc;
    }

    public String getCreateDateDocItem() {
        return createDateDocItem;
    }

    public void setCreateDateDocItem(String createDateDocItem) {
        this.createDateDocItem = createDateDocItem;
    }

    public String getCreateDateDeliver() {
        return createDateDeliver;
    }

    public void setCreateDateDeliver(String createDateDeliver) {
        this.createDateDeliver = createDateDeliver;
    }

    public String getActualDeliverDate() {
        return actualDeliverDate;
    }

    public void setActualDeliverDate(String actualDeliverDate) {
        this.actualDeliverDate = actualDeliverDate;
    }

    public String getPlanDeliverDate() {
        return planDeliverDate;
    }

    public void setPlanDeliverDate(String planDeliverDate) {
        this.planDeliverDate = planDeliverDate;
    }

    public String getRequestDeliverDate() {
        return requestDeliverDate;
    }

    public void setRequestDeliverDate(String requestDeliverDate) {
        this.requestDeliverDate = requestDeliverDate;
    }

    public String getRequestDeliverDateItem() {
        return requestDeliverDateItem;
    }

    public void setRequestDeliverDateItem(String requestDeliverDateItem) {
        this.requestDeliverDateItem = requestDeliverDateItem;
    }

    public String getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public BigDecimal getOrderQty() {
        return orderQty;
    }

    public void setOrderQty(BigDecimal orderQty) {
        this.orderQty = orderQty;
    }

    public BigDecimal getOrderWt() {
        return orderWt;
    }

    public void setOrderWt(BigDecimal orderWt) {
        this.orderWt = orderWt;
    }

    public BigDecimal getDeliverQty() {
        return deliverQty;
    }

    public void setDeliverQty(BigDecimal deliverQty) {
        this.deliverQty = deliverQty;
    }

    public BigDecimal getDeliverWt() {
        return deliverWt;
    }

    public void setDeliverWt(BigDecimal deliverWt) {
        this.deliverWt = deliverWt;
    }

    public BigDecimal getNetValue() {
        return netValue;
    }

    public void setNetValue(BigDecimal netValue) {
        this.netValue = netValue;
    }

    public String getPostingDate() {
        return postingDate;
    }

    public void setPostingDate(String postingDate) {
        this.postingDate = postingDate;
    }

    public String getExpressInfo() {
        return expressInfo;
    }

    public void setExpressInfo(String expressInfo) {
        this.expressInfo = expressInfo;
    }

    public MetaHanaDeliverOrder() {
    }

    public MetaHanaDeliverOrder(String code, String deliverNumber, String deliverItem, String docNumber, String docItem, String salesOrg, String salesOrgName, String distributionChannel, String customerCode, String customerName, String division, String salesGroup, String plant, String plantName, String docType, String deliverType, String materialCode, String materialName, String sizeDim, String shipmentNumber, String shipmentCreateDate, String shipToAddress, String createDateDoc, String createDateDocItem, String createDateDeliver, String actualDeliverDate, String planDeliverDate, String requestDeliverDate, String requestDeliverDateItem, String reviewStatus, BigDecimal orderQty, BigDecimal orderWt, BigDecimal deliverQty, BigDecimal deliverWt, BigDecimal netValue, String postingDate, String expressInfo) {
        this.code = code;
        this.deliverNumber = deliverNumber;
        this.deliverItem = deliverItem;
        this.docNumber = docNumber;
        this.docItem = docItem;
        this.salesOrg = salesOrg;
        this.salesOrgName = salesOrgName;
        this.distributionChannel = distributionChannel;
        this.customerCode = customerCode;
        this.customerName = customerName;
        this.division = division;
        this.salesGroup = salesGroup;
        this.plant = plant;
        this.plantName = plantName;
        this.docType = docType;
        this.deliverType = deliverType;
        this.materialCode = materialCode;
        this.materialName = materialName;
        this.sizeDim = sizeDim;
        this.shipmentNumber = shipmentNumber;
        this.shipmentCreateDate = shipmentCreateDate;
        this.shipToAddress = shipToAddress;
        this.createDateDoc = createDateDoc;
        this.createDateDocItem = createDateDocItem;
        this.createDateDeliver = createDateDeliver;
        this.actualDeliverDate = actualDeliverDate;
        this.planDeliverDate = planDeliverDate;
        this.requestDeliverDate = requestDeliverDate;
        this.requestDeliverDateItem = requestDeliverDateItem;
        this.reviewStatus = reviewStatus;
        this.orderQty = orderQty;
        this.orderWt = orderWt;
        this.deliverQty = deliverQty;
        this.deliverWt = deliverWt;
        this.netValue = netValue;
        this.postingDate = postingDate;
        this.expressInfo = expressInfo;
    }
}
